---
names:
  full: Azure PostgreSQL Flexible Server log_retention_days Parameter is less than 4 days
  contextual: Flexible Server log_retention_days Parameter is less than 4 days
description: Ensure log_retention_days on PostgreSQL Servers is set to an appropriate
  value.
type: COMPLIANCE_POLICY
categories:
  - RELIABILITY
  - PERFORMANCE
frameworkMappings:
  - "/frameworks/cis-azure-v3.0.0/05/02/04"
  - "/frameworks/cloudaware/logging-and-monitoring/logging-and-monitoring-configuration"
similarPolicies:
  internal:
    - dec-x-0c82d775
  cloudConformity:
    - url: https://www.trendmicro.com/cloudoneconformity/knowledge-base/azure/PostgreSQL/log-retention-days.html
      name: Check for PostgreSQL Log Retention Period
